List a member's policies

GET/auth/v1/memberships/{orgId}/members/{userId}/policies

Returns all authorization policies attached to the specified organization member.

Authorization<token>

In: header

Path Parameters

orgId*string

Organization ID

userId*string

Member user ID

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.MemberPoliciesResponse",
  "$ref-value": {
    "properties": {
      "permissions": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "policies": {
        "items": {
          "$ref": "#/components/schemas/authv1.Policy",
          "$ref-value": {
            "properties": {
              "created_at": {
                "type": "string"
              },
              "created_by": {
                "type": "string"
              },
              "description": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "org_id": {
                "type": "string"
              },
              "permissions": {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              "updated_at": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/auth/v1/memberships/string/members/string/policies"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.MemberPoliciesResponse",
  "$ref-value": {
    "properties": {
      "permissions": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "policies": {
        "items": {
          "$ref": "#/components/schemas/authv1.Policy",
          "$ref-value": {
            "properties": {
              "created_at": {
                "type": "string"
              },
              "created_by": {
                "type": "string"
              },
              "description": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "org_id": {
                "type": "string"
              },
              "permissions": {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              "updated_at": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}